#!/bin/bash

set -e

ACTORS_USER_ID="$1"
OWNER_USER_ID="$2"
NEXTCLOUD_RELATIVE_PATH="$3"
LOCALLY_AVAILABLE_FILE="$4"

echo "RUNNING: ${FILE}" >> pubspace.log

/usr/bin/curl \
  -H "Content-Type: application/json" \
  -X GET \
  -d "{\"actor_id\":\"${ACTORS_USER_ID}\", \"owner_id\":\"${OWNER_USER_ID}\", \"rel_path\":\"${NEXTCLOUD_RELATIVE_PATH}\", \"local_path\":\"${LOCALLY_AVAILABLE_PATH}\"}" \
  https://publish.lumbung.space
